Package: groovy.jmx.builder

## [Groovy] Class JmxBuilder

- groovy.jmx.builder.JmxBuilder

- This is JmxBuilder's factory builder class. It is the parent node to all other children nodes supported by JmxBuilder.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FactoryBuilderSupport` | `CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `defaultJmxNameDomain`
    `String` | `defaultJmxNameType`
    `MBeanServerConnection` | `mBeanServer`
    `String` | `mode`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBuilder ()`
    `JmxBuilder (MBeanServerConnection svrConnection)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getDefaultJmxNameDomain()`
    `` | `String` | `getDefaultJmxNameType()`
    `` | `MBeanServerConnection` | `getMBeanServer()`
    `` | `String` | `getMode()`
    `` | `protected void` | `registerFactories()`
    `` | `protected Factory` | `resolveFactory(Object name, Map attributes, Object value)`
    `` | `void` | `setDefaultJmxNameDomain(String domain)`
    `` | `void` | `setDefaultJmxNameType(String type)`
    `` | `void` | `setMBeanServer(MBeanServerConnection svr)`
    `` | `void` | `setMode(String mode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FactoryBuilderSupport` | `getProperty, getName, setProperty, getContext, build, build, build, dispose, registerBeanFactory, registerBeanFactory, setMethodMissingDelegate, getLocalExplicitProperties, getPostInstantiateDelegates, getPropertyMissingDelegate, removeAttributeDelegate, addPostInstantiateDelegate, getPostNodeCompletionDelegates, registerExplicitMethod, registerExplicitMethod, removePreInstantiateDelegate, getDisposalClosures, addPreInstantiateDelegate, addPostNodeCompletionDelegate, getAttributeDelegates, checkValueIsTypeNotString, setPropertyMissingDelegate, removePostInstantiateDelegate, getNameMappingClosure, getRegistrationGroups, getExplicitProperties, getPreInstantiateDelegates, setNameMappingClosure, getContextAttribute, addAttributeDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, getLocalExplicitMethods, getRegistrationGroupItems, getMethodMissingDelegate, invokeMethod, invokeMethod, getCurrent, getParentNode, autoRegisterNodes, getExplicitMethods, getCurrentFactory, checkValueIsNull, getCurrentBuilder, getParentContext, getChildBuilder, getParentFactory, checkValueIsType, getFactories, getLocalFactories, withBuilder, withBuilder, withBuilder, addDisposalClosure, getVariables, getVariable, setVariable, registerFactory, registerFactory, getParentName, getCurrentName, hasVariable, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String defaultJmxNameDomain

    - #### String defaultJmxNameType

    - #### MBeanServerConnection mBeanServer

    - #### String mode

  - ### Constructor Detail

    - #### JmxBuilder()

    - #### JmxBuilder(MBeanServerConnection svrConnection)

  - ### Method Detail

    - #### String getDefaultJmxNameDomain()

    - #### String getDefaultJmxNameType()

    - #### MBeanServerConnection getMBeanServer()

    - #### String getMode()

    - #### protected void registerFactories()

    - #### protected Factory resolveFactory(Object name, Map attributes, Object value)

    - #### void setDefaultJmxNameDomain(String domain)

    - #### void setDefaultJmxNameType(String type)

    - #### void setMBeanServer(MBeanServerConnection svr)

    - #### void setMode(String mode)